package cn.iocoder.yudao.module.system.api.robot;

import cn.hutool.core.util.ObjectUtil;
import cn.iocoder.yudao.module.system.api.robot.dto.RobotStatusDTO;
import cn.iocoder.yudao.module.system.constant.robot.RobotStatusCodeConstant;
import cn.iocoder.yudao.module.system.constant.robot.RobotTaskChcheConstant;
import cn.iocoder.yudao.module.system.util.redis.RedisUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Slf4j
@RestController // 提供 RESTful API 接口，给 Feign 调用
@Validated
public class RobotStatusApiImpl implements RobotStatusApi {

    @Resource
    private RedisUtil redisUtil;

    /**
     * 更新机器人点位/异常/能否做任务
     * @param robotStatusDataDTO
     * @return
     */
    @Override
    public void robotStatusUpdate(RobotStatusDTO robotStatusDataDTO) {
        if (ObjectUtil.isNotNull(robotStatusDataDTO) || RobotStatusCodeConstant.OK.equals(robotStatusDataDTO.getStatus_code())
            || ObjectUtil.isEmpty(robotStatusDataDTO.getMac())) {

        }

        String doTaskKey = RobotTaskChcheConstant.ROBOT_DO_TASK+robotStatusDataDTO.getMac();
        String haveTrayKey = RobotTaskChcheConstant.ROBOT_HAVE_TRAY+robotStatusDataDTO.getMac();
        String pose2dKey = RobotTaskChcheConstant.ROBOT_POSE2D+robotStatusDataDTO.getMac();
        redisUtil.set(doTaskKey, robotStatusDataDTO.getData().getTask_status(),10*60);
        redisUtil.set(haveTrayKey,robotStatusDataDTO.getData().getCargo_detected(),10*60);
        redisUtil.set(pose2dKey,String.valueOf(robotStatusDataDTO.getData().getCargo_detected()),10*60);

        if (ObjectUtil.isNotNull(robotStatusDataDTO.getData().getErr_code())) {

        }


    }



}
